import type { Handle } from '@sveltejs/kit';
import { type GuardianAuthConfig } from '../types/config.js';
export declare class GuardianAuth {
    private config;
    private logger;
    private adapter;
    constructor(userConfig?: Partial<GuardianAuthConfig>);
    private createProviders;
    private createMiddleware;
    init(): Promise<{
        createUser: (data: any) => Promise<{
            success: boolean;
            error: any;
            user?: undefined;
        } | {
            success: boolean;
            user: any;
            error?: undefined;
        }>;
        middleware: Handle;
        handle: Handle;
        signIn: import("@sveltejs/kit").Action;
        signOut: import("@sveltejs/kit").Action;
    }>;
    updateConfig(newConfig: Partial<GuardianAuthConfig>): void;
}
export declare const guardianAuth: (config?: Partial<GuardianAuthConfig>) => Promise<{
    createUser: (data: any) => Promise<{
        success: boolean;
        error: any;
        user?: undefined;
    } | {
        success: boolean;
        user: any;
        error?: undefined;
    }>;
    middleware: Handle;
    handle: Handle;
    signIn: import("@sveltejs/kit").Action;
    signOut: import("@sveltejs/kit").Action;
}>;
